import cloneDeep from 'lodash/cloneDeep';
import { freezeSys, toPlainObject } from 'contentful-sdk-core';
import enhanceWithMethods from '../enhance-with-methods';
import { wrapCollection } from '../common-utils';

function createSnapshotApi() {
  return {
    /* In case the snapshot object evolve later */
  };
}
/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw snapshot data
 * @return Wrapped snapshot data
 */


export function wrapSnapshot(_http, data) {
  var snapshot = toPlainObject(cloneDeep(data));
  var snapshotWithMethods = enhanceWithMethods(snapshot, createSnapshotApi());
  return freezeSys(snapshotWithMethods);
}
/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw snapshot collection data
 * @return Wrapped snapshot collection data
 */

export var wrapSnapshotCollection = wrapCollection(wrapSnapshot);