import cloneDeep from 'lodash/cloneDeep';
import { freezeSys, toPlainObject } from 'contentful-sdk-core';
import enhanceWithMethods from '../enhance-with-methods';
import { wrapCollection } from '../common-utils';

/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw data
 * @return Normalized usage
 */
export function wrapUsage(http, data) {
  var usage = toPlainObject(cloneDeep(data));
  var usageWithMethods = enhanceWithMethods(usage, {});
  return freezeSys(usageWithMethods);
}
/**
 * @private
 */

export var wrapUsageCollection = wrapCollection(wrapUsage);