import { freezeSys, toPlainObject } from 'contentful-sdk-core';
import cloneDeep from 'lodash/cloneDeep';
import enhanceWithMethods from '../enhance-with-methods';
import { wrapCollection } from '../common-utils';

/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw data
 * @return Normalized user
 */
export function wrapUser(http, data) {
  var user = toPlainObject(cloneDeep(data));
  var userWithMethods = enhanceWithMethods(user, {});
  return freezeSys(userWithMethods);
}
/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw data collection
 * @return Normalized user collection
 */

export var wrapUserCollection = wrapCollection(wrapUser);