import { AxiosInstance } from 'axios';
import { MetaSysProps, DefaultElements } from '../common-types';
export declare type PreviewApiKeyProps = {
    sys: MetaSysProps;
    name: string;
    description: string;
};
export interface PreviewApiKey extends PreviewApiKeyProps, DefaultElements<PreviewApiKeyProps> {
}
/**
 * @private
 * @param http - HTTP client instance
 * @param data - Raw api key data
 * @return Wrapped preview api key data
 */
export declare function wrapPreviewApiKey(_http: AxiosInstance, data: PreviewApiKeyProps): PreviewApiKey;
/**
 * @private
 */
export declare const wrapPreviewApiKeyCollection: (http: AxiosInstance, data: import("../common-types").CollectionProp<PreviewApiKeyProps>) => import("../common-types").Collection<PreviewApiKey, PreviewApiKeyProps>;
